genotype_file<-read.table("/Users/username/Desktop/genotype_file.txt", header=T)
GenotypeCheckerPedFile <- genotype_file[,1:4]

example.map <- read.table('/Users/username/Desktop/exampleMap.txt', header=T, sep="\t")
maporder <- example.map

m <- (ncol(genotype_file)-4) * 0.5 #### Number of markers

maporder$maporder <- seq (1,m,1)

GenotypeCheckerMarkerFile <- genotype_file[,c(1,5,6)]
GenotypeCheckerMarkerFile[,4] <- maporder[1,1]
GenotypeCheckerMarkerFile <- GenotypeCheckerMarkerFile [,c(1,4,2,3)]
colnames(GenotypeCheckerMarkerFile) <- c("ID","Locus","Allele1","Allele2")

for (i in 2:m) {
	GenotypeCheckerTemp <- genotype_file[,c(1,(2*i+3),(2*i+4))]
	GenotypeCheckerTemp[,4] <- maporder[i,1]
	GenotypeCheckerTemp <- GenotypeCheckerTemp[,c(1,4,2,3)]
	colnames(GenotypeCheckerTemp) <- c("ID","Locus","Allele1","Allele2")
	GenotypeCheckerMarkerFile <- rbind (GenotypeCheckerMarkerFile,GenotypeCheckerTemp)
}

GenotypeCheckerMarkerFile$Allele1 <- gsub ("^0","?", GenotypeCheckerMarkerFile$Allele1)
GenotypeCheckerMarkerFile$Allele2 <- gsub ("^0","?", GenotypeCheckerMarkerFile$Allele2)

write.table (GenotypeCheckerMarkerFile, '/Users/username/Desktop/GenotypeCheckerMarkerFile', col.names=F, sep="\t",quote=F,row.names=F)
write.table (GenotypeCheckerPedFile, '/Users/username/Desktop/GenotypeCheckerPedFile', col.names=F, sep="\t",quote=F,row.names=F)
